package com.aitrainer.api.test

import com.aitrainer.api.controller.ConfigurationController
import com.aitrainer.api.model.Configuration
import com.aitrainer.api.repository.ConfigurationRepository
import org.junit.jupiter.api.Test
import org.springframework.beans.factory.annotation.Autowired
import org.springframework.boot.test.context.SpringBootTest
import kotlin.test.assertEquals

@SpringBootTest
class ConfigurationTest {

    @Autowired
    private lateinit var configurationRepository: ConfigurationRepository
    private lateinit var configurationController: ConfigurationController

    @Test
    fun testUpdateConfig() {
        val config: Configuration = configurationRepository.findByConfigKey("db_version")
        config.configValue = "0.0.2"

        configurationController = ConfigurationController(configurationRepository)
        val updatedConfig: Configuration = configurationController.updateConfiguration(config)
        assertEquals(updatedConfig.configValue, "0.0.2")

        val foundConfig: Configuration = configurationRepository.findByConfigKey("db_version")
        assertEquals(foundConfig.configValue, "0.0.2")

    }
}